Package org.springframework.security.config.authentication

# Class AuthenticationManagerBeanDefinitionParser.NullAuthenticationProvider

java.lang.Object
org.springframework.security.config.authentication.AuthenticationManagerBeanDefinitionParser.NullAuthenticationProvider

All Implemented Interfaces:
  `org.springframework.security.authentication.AuthenticationProvider`

Enclosing class:
  AuthenticationManagerBeanDefinitionParser

public static final class AuthenticationManagerBeanDefinitionParser.NullAuthenticationProvider extends Object implements org.springframework.security.authentication.AuthenticationProvider
Provider which doesn't provide any service. Only used to prevent a configuration exception if the provider list is empty (usually because a child ProviderManager from the <http> namespace, such as OpenID, is expected to handle the request).

## Constructor Summary

Constructors
Constructor
Description
`NullAuthenticationProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`authenticate(org.springframework.security.core.Authentication authentication)`
`boolean`
`supports(Class<?> authentication)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullAuthenticationProvider

public NullAuthenticationProvider()

## Method Details

### authenticate

public org.springframework.security.core.Authentication authenticate(org.springframework.security.core.Authentication authentication) throws org.springframework.security.core.AuthenticationException

Specified by:
  `authenticate` in interface `org.springframework.security.authentication.AuthenticationProvider`
Throws:
  `org.springframework.security.core.AuthenticationException`

### supports

public boolean supports(Class<?> authentication)

Specified by:
  `supports` in interface `org.springframework.security.authentication.AuthenticationProvider`